## org.eclipse.emf.cdo.session
Interface CDORevisionManager

All Superinterfaces:
  CDORevisionResolver

    public interface CDORevisionManager

extends CDORevisionResolver

Since:
  2.0

Method Summary
`CDOSession` `getSession()`
`java.lang.Object` `loadChunkByRange(CDORevision revision, org.eclipse.emf.ecore.EStructuralFeature feature, int accessIndex, int fetchIndex, int fromIndex, int toIndex)`

Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionResolver
`containsRevision, containsRevisionByTime, containsRevisionByVersion, getCache, getCDOIDObjectFactory, getObjectType, getResourceID, getRevision, getRevision, getRevisionByTime, getRevisionByTime, getRevisionByVersion, getRevisionByVersion, getRevisions, getRevisionsByTime, setCache`

Method Detail

### getSession

    CDOSession getSession()

### loadChunkByRange

    java.lang.Object loadChunkByRange(CDORevision revision,
                                      org.eclipse.emf.ecore.EStructuralFeature feature,
                                      int accessIndex,
                                      int fetchIndex,
                                      int fromIndex,
                                      int toIndex)

  Parameters:
    `revision` -
    `feature` -
    `accessIndex` - Index of the item access at the client (with modifications)
    `fetchIndex` - Index of the item access at the server (without any modifications)
    `fromIndex` - Load objects at the client from fromIndex (inclusive)
    `toIndex` - Load objects at the client to toIndex (inclusive)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.